Get exports
GET
/merchants/{merchantCode}/exports
const url = 'https://catalog.shopgate.io/v1/merchants/example/exports?limit=1000&offset=0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://catalog.shopgate.io/v1/merchants/example/exports?limit=1000&offset=0'Returns a list of Google exports
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Query Parameters
Section titled “Query Parameters”catalogCode
string
filters
string format: json
Filter string. Supported filters:
- id
- feed
- status
limit
integer
The limit of entries of one page
offset
integer
The offset where to start the page
sort
string
Sorting of the products (sequenceId only works with filter catalogCode)
Responses
Section titled “Responses”Export created.
Media typeapplication/json
object
meta
object
limit
number
offset
number
totalItemCount
number
exports
Array
object
feed
string
status
string
entityCount
number
errorMessage
null | string
startDate
string format: date-time
endDate
null | string format: date-time
Example
{ "meta": { "limit": 10, "offset": 0, "totalItemCount": 2 }, "exports": [ { "endDate": "2018-12-15T00:00:26.114Z", "entityCount": 74327, "errorMessage": null, "feed": "product", "startDate": "2018-12-15T00:00:25.114Z", "status": "succeded" }, { "endDate": "2018-12-15T00:00:24.114Z", "entityCount": 10, "errorMessage": "Upload failed", "feed": "product", "startDate": "2018-12-15T00:00:23.114Z", "status": "failed" } ]}Bad request (mostly missing or invalid parameters/values)
Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName
The parameter-field, that failed to validate, like “userId”
string
paramValue
The value, that was sent, like “xxx”
null | string | number | array | object
code
Machine readable error code
string
message
required
Human readable error code
string
results
object
errors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
warnings
array
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } }}Merchant or segment not found
Media typeapplication/json

